%bcond_without tests

%global pypi_name pybv

%global _description %{expand:
pybv is a lightweight exporter to the BrainVision data format. The BrainVision
data format is a recommended data format for use in the Brain Imaging Data
Structure. BrainVision is the name of a file format commonly used for storing
electrophysiology data. Originally, it was put forward by the company Brain
Products, however the simplicity of the format has allowed for a diversity
of tools reading from and writing to the format.

The format consists of three separate files:

* A text header file (.vhdr) containing meta data
* A text marker file (.vmrk) containing information about events in the data
* A binary data file (.eeg) containing the voltage values of the EEG}

Name:           python-pybv
Version:        0.6.0
Release:        1%{?dist}
Summary:        A lightweight I/O utility for the BrainVision data format

License:        BSD
URL:            https://pybv.readthedocs.io/en/stable/
Source0:        https://github.com/bids-standard/%{pypi_name}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-pybv
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-cov}
BuildRequires:  %{py3_dist pytest-sugar}
BuildRequires:  %{py3_dist flake8}
BuildRequires:  %{py3_dist flake8-docstrings}
BuildRequires:  %{py3_dist pycodestyle}
BuildRequires:  %{py3_dist numpydoc}
BuildRequires:  %{py3_dist mne}
%endif

%py_provides python3-%{pypi_name}

%description -n python3-%{pypi_name} %_description

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pybv

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Sun Oct 24 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 0.6.0-1
- Initial build
